Firefox Segmentation Fault Requires Reboot

Bug #60236 reported by Tero Karvinen on 2006-09-13
32
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
High
Mozilla Bugs

Bug Description

Binary package hint: firefox

Firefox crashes by suddenly closing its window.

When trying to start firefox from command line:
$ firefox
Segmentation fault.

'ps -A |grep firefox' does not show anything.

It is not possible to start firefox even when
- Logging off and back
- Logging off, restarting X with alt-ctrl-backspace, logging back.

After a reboot, Firefox works normally.

I have seen this problem a couple of times. I don't know how to reproduce it at will. I am using Linux 2.6.15-26-386, Ubuntu 6.06.1 LTS, firefox 1.5.dfsg+1.5.0.3-0ubuntu3.

John Dong (jdong) wrote :

mmap2(NULL, 2684358656, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = -1 ENOMEM (Cannot allocate memory)

Hmm, those entries look very suspicious. Are you low on memory or anything like that? Tried disabling your plugins? (firefox -safe-mode)?

I find it unlikely that the machine would have been running out of memory. The machine showing this behavior has a GiB of memory. Other software run well after firefox segfault. For example, I could browse the web with konqueror. I have tried disabling my profile my renaming ~/.mozilla, and that did not help. Even though I think this answers your questions, I will try 'free -m' and 'firefox safe-mode' when I can reproduce the bug next time. Thanks for looking into this bug.

Now it segfaults again just like before. 'strace firefox' has this near the end:
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb73b4000
brk(0x8e70000) = 0x8e70000
brk(0x8ea0000) = 0x8ea0000
--- SIGSEGV (Segmentation fault) @ 0 (0) ---

$ free -m
             total used free shared buffers cached
Mem: 1010 979 30 0 68 337
-/+ buffers/cache: 573 437
Swap: 488 55 432

Gnome panel resource monitor says "Memory: 50% in use by programs. 33% in use as cache". Konqueror (thunderbird, evince...) runs fine, but firefox won't start.

$ firefox -safe-mode
Segmentation fault

With safe mode, a blank window appears for about half a second. With just 'firefox', no window is shown.

'strace firefox -safe-mode' has one less brk near the end, but looks really similar.
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7365000
brk(0x85e6000) = 0x85e6000
--- SIGSEGV (Segmentation fault) @ 0 (0) ---

Ubuntu bug #57454 looks a bit similar to this one.

Firefox randomly crashed (closed without explanation) every now and then for about one day before completely refusing to start. It has been continuously open for days before the problem occurred.

After segfault on start, these did not help:
- Try to start firefox many many times
- killall fire[tab] (no processes start with that string)
- firefox -safe-mode
- Log off, log back on.
- Log off, restart X with alt-ctrl-backspace, log in

Rebooting immidiately fixed it.

Might be related to GTK or Gnome, as after the problem, also gnome screenshooter (PrintScreen) failed to save a file.

David Farning (dfarning) wrote :

Is this still and issue for you? I am trying sort out the older mozilla issues?

Thanks
David

Changed in firefox:
assignee: nobody → dfarning
status: Unconfirmed → Needs Info

I have seen this in Dapper less than two months ago. As this bug can't be reproduced at will, I can't check right away if I still have it or not.

David Farning (dfarning) on 2007-01-05
Changed in firefox:
assignee: dfarning → mozillateam
David Farning (dfarning) on 2007-01-25
Changed in firefox:
importance: Undecided → High
Walter (barterpc) wrote :
Download full text (23.8 KiB)

Well I had similiar problems. Too boot now after upgrading my Video driver (X Display Driver) I can't start Firefox at all. It keeps on giving me a segmentation fault. Below is an abbreviated copy of the Gnome/Mozilla app dump report.

ProblemType: Crash
CoreDump:
CrashCounter: 1
Date: Tue Jan 30 23:08:41 2007
Dependencies:
 debconf 1.5.2ubuntu2
 libglib2.0-0 2.12.4-0ubuntu1
 libatk1.0-0 1.12.3-0ubuntu1
 libopencdk8 0.5.8-1
 libpng12-0 1.2.8rel-5.1ubuntu0.1
 lsb-base 3.1-10ubuntu4
 defoma 0.11.10
 libxext6 2:1.0.1-1ubuntu1
 libtext-wrapi18n-perl 0.06-5
 libsepol1 1.12-1
 libsm6 2:1.0.1-1ubuntu1
 libfreetype6 2.2.1-5
 libtext-iconv-perl 1.4-3
 ucf 2.0012
 libslang2 2.0.6-2
 libpango1.0-common 1.14.5-0ubuntu1
 file 4.17-2ubuntu1
 libtiff4 3.8.2-6
 ttf-dejavu 2.7-2
 libcupsys2 1.2.4-2ubuntu3
 libnewt0.52 0.52.2-5.1ubuntu1
 libgcrypt11 1.2.2-2
 libxfixes3 1:4.0.1-0ubuntu1
 mktemp 1.5-2
 perl-modules 5.8.8-6
 libxrandr2 2:1.1.1-0ubuntu1
 psmisc 22.2-1
 debconf-i18n 1.5.2ubuntu2
 libtext-charwidth-perl 0.04-4
 libxrender1 1:0.9.1-0ubuntu1
 libice6 2:1.0.1-1ubuntu1
 libgtk2.0-bin 2.10.6-0ubuntu3
 fontconfig 2.3.2-7ubuntu2
 tzdata 2006p-0ubuntu6.10
 coreutils 5.96-5ubuntu4
 libxi6 2:1.0.1-0ubuntu1
 libgdbm3 1.8.3-3
 liblocale-gettext-perl 1.05-1
 libgtk2.0-common 2.10.6-0ubuntu3
 libxau6 1:1.0.1-1
 libnspr4 2:1.firefox2.0.0.1+0dfsg-0ubuntu0.6.10
 libx11-6 2:1.0.3-0ubuntu4
 libmyspell3c2 1:3.1-16
 libmagic1 4.17-2ubuntu1
 libnss3 2:1.firefox2.0.0.1+0dfsg-0ubuntu0.6.10
 libcairo2 1.2.4-1ubuntu2
 libgcc1 1:4.1.1-13ubuntu5
 whiptail 0.52.2-5.1ubuntu1
 ncurses-bin 5.5-2ubuntu1
 libselinux1 1.30-1ubuntu1
 libjpeg62 6b-13
 libstdc++6 4.1.1-13ubuntu5
 perl 5.8.8-6
 libacl1 2.2.39-1ubuntu2
 liblzo1 1.08-3
 zlib1g 1:1.2.3-13ubuntu2
 libncurses5 5.5-2ubuntu1
 libc6 2.4-1ubuntu12.3
 libgtk2.0-0 2.10.6-0ubuntu3
 libgpg-error0 1.2-1
 x11-common 1:7.1.1ubuntu6.2
 locales 2.3.22
 libxinerama1 2:1.0.1-4build1
 libxft2 2.1.10-1ubuntu1
 libxt6 1:1.0.2-1ubuntu1
 libx11-data 2:1.0.3-0ubuntu4
 libattr1 2.4.32-1ubuntu1
 libpopt0 1.10-2
 gcc-4.1-base 4.1.1-13ubuntu5
 libgnutls13 1.4.0-3ubuntu1
 debianutils 2.16.2
 fontconfig-config 2.3.2-7ubuntu2
 perl-base 5.8.8-6
 sed 4.1.5-1
 libxcursor1 1.1.7-0ubuntu1
 belocs-locales-bin 2.4-1ubuntu6
 libdb4.4 4.4.20-6ubuntu1
 libpango1.0-0 1.14.5-0ubuntu1
 libtasn1-3 0.3.5-1
 libexpat1 1.95.8-3.2
 libxdmcp6 1:1.0.1-1
 libfontconfig1 2.3.2-7ubuntu2
Disassembly:
 (no debugging symbols found)
 Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
 (no debugging symbols found)
 (no debugging symbols found)
 (no debugging symbols found)
 (no debugging symbols found)
 Core was generated by `/usr/lib/firefox/firefox-bin'.
 Program terminated with signal 11, Segmentation fault.
 #0 0xffffe410 in __kernel_vsyscall ()
 Dump of assembler code from 0xffffe410 to 0xffffe430:
 0xffffe410 <__kernel_vsyscall+16>: pop %ebp
 0xffffe411 <__kernel_vsyscall+17>: pop %edx
 0xffffe412 <__kernel_vsyscall+18>: pop %ecx
 0xffffe413 <__kernel_vsyscall+19>: ret
 0xffffe414 <__kernel_vsyscall+20>: nop
 0xffffe415 <__kernel_vsyscall+21>: nop
 0xffffe416 <__kernel_vsyscall+22>: nop
 0xffffe417 <__kernel_vsyscall+23>: nop...

John Vivirito (gnomefreak) wrote :

Anyone happen to be using beryl or compiz with this issue. Im tempted to agree with jdong on the mem. issue and if using beryl/compiz or another effects app try turning ti off than see if you can reproduce this please.

Walter (barterpc) wrote :
Download full text (3.3 KiB)

Ironically I solved the problem at least in part. At first I installed the latest testing Firefox 3.0a2 in the /opt directory to see whether it produced the same error. I thought it would be cool with 3.0a2 to test how the new firefox would run. When I realized that installing Mozilla Firefox 3.0a2 produced the same problem I did some searching. I found a guy who was able to overcome the problem by installing the stable Firefox 2.01 off the website in, ironically, the /opt directory.

For those out of the loop /usr is for software that's integrated into the system, /opt is an optional software directory where you can install apps without intergrating them. For newbies this is like having a "c:\program files" and "c:\optional programs" under windows.

Anyhow to continue on I did everything according to the instructions. Guess what ? It worked! This of course got my gander up. So I thought what might happen if I installed the downloaded vanilla firefox into the shared /usr/lib over my current installation.

I fiigured my current was already broken and wouldn't work anyhow till the fine people at Ubuntu fixed it. So what the hell. Did it and now firefox runs.

Long story short is I think Ubuntu must have slipped development code (whether intentional or not) to the current stable version of Ubuntu. I have no other proof of this other then the fact the current alpha-version 3.0a2 creates the same error and the Mozilla downloaded version of 2.01 works fine. But, I suspect for most people that would be enough.

So if you have enough CLI experience or not here is what you do. Download the stable mozilla firefox installer from mozilla.org to a memorable directory. For the purpose of this excercise let's call it /home/wilbur/firefox2 Now open a terminal and issue the following commands.

sudo cp /usr/wilbur/firefox2/firefox-2.0.0.1.tar.gz /opt
(enter your password when it asks for it)
cd /opt
sudo gzip -d firefox-2.0.0.1.tar.gz
sudo tar xvf firefox-2.0.0.1.tar
cd firefox
sudo chown root *
sudo chgrp root *
sudo chmod 777 *
sudo ./firefox

If after the last command a Firefox window pops up then you can do the following to correct your current installation (after exiting firefox of course).

sudo cp -r /opt/firefox/* /usr/lib/firefox (or /usr/lib/mozilla-firefox depending on your installation)

This will replace the current binaries in your shared (/usr/lib) installation with those in your optional programs (/opt). Alot of people may be concerned about bookmarks, themes, and other settings.

However, your settings are installed in your user directory (i.e. /home/wilbur) under either the '.firefox' or '.mozilla-firefox' (the dot or period is part of the directory name). The '.' in front of the file ussually indicates the directory is important to system operations and should be hidden from user applications for safety reasons. Hence you should not be able to even know these directories exist most of the time. Ok, Basically if it worked in the /opt directory it should work in the /usr/lib.
Go ahead and click on the icon. It should come up.

I do stress though. If you are going to do this please, please, test it out in the /opt directory. By install...

Read more...

John Vivirito (gnomefreak) wrote :

Ok installing upstream version does not fix anything or overcome anything, it is avoiding issues. We do not support upstream version of firefox nor thunderbird. https://help.ubuntu.com/community/FirefoxNewVersion shows you how to do it easy and safely.

Alexander Sack (asac) wrote :

I think Walter wanted to say that this does not happen in upstream release, while it does in our.

He suggests that this is due to a patch that upstream mozilla doesn't ship, but we do.

However to follow this trail, we would need someone who can reproduce this AND who can rebuild debian packages (with brief instructions). There might be several rebuilds needed in order to confirm if and which ubuntu patch causes this.

Walter (barterpc) wrote :

Hi Alex,

     Thank you for realizing what I was trying to say. I was actually saying that someone used some of the Firefox Alpha upstream code in the Ubuntu release. Since when I attempted to install the Alpha as a seperate installation it did indeed produce the same error.

To answer Johns comments I never said it would solve the problem, at least not for everyone. This is why I implicitly stated that persons atempting this should first try if this would work as a seperate installation in their /opt directory.

Lastly John my installation of upstream code did not break but rather fix a few Gecko apps. Including the Liferea Feed Reader. Which was not working under the Ubuntu code.

So what I am not saying is that upstream is the final solution. What I am saying is that by installing it I fixed a number of Gecko apps (many of which you said I would break) by installing the Firefox upstream version and offered it as a possible solution for now.

Truthfully told though this raises a number of questions:

What bugfixes were implemented ?

Even though it's officially 2.x how much of the code may be mangled with 3.x (albeit by overenthusiastic coders) ?

Can Ubuntu check the code to ensure it's clean ?
Maybe we can have a code audit ?

Bottom line is this John. This isn't the only post related to Firefox in this fashion. Alot of the other bug reports claiming similiar failures are also claiming the failure of related Gecko apps. So this needs to be addressed. While it is users have to find options and be allowed to return to a more usable environment while they wait.

I know it's not well taken but it is a valid point.

P.S.: If you want to see what I mean install seperate upstream versions of Firefox 2 and Firefox 3.0A in your /opt directory. I will put money on the latter crashes. Take a snapshot of the dump and compare it to what you see here.

On Thu, Feb 08, 2007 at 04:18:36AM -0000, Walter wrote:
> Hi Alex,
>
> Thank you for realizing what I was trying to say. I was actually
> saying that someone used some of the Firefox Alpha upstream code in the
> Ubuntu release. Since when I attempted to install the Alpha as a
> seperate installation it did indeed produce the same error.

I understand that you see a bug in ubuntus version that does
not exist if you download firefox from mozilla.org.

However everything else you claim is a bit far reached.

>
> To answer Johns comments I never said it would solve the problem, at
> least not for everyone. This is why I implicitly stated that persons
> atempting this should first try if this would work as a seperate
> installation in their /opt directory.

Installing in /opt is fine ... installing in /usr/ hierarchy is
not supported. Did you install other software or libraries that way as
well?

 - Alexander

Walter (barterpc) wrote :

Hi Alex,
                    Yes I did install it in /usr/lib and that is the only reason I am posting such a comment to begin with. Not to mention I am posting it in Firefox. Yes, what I am mentioning can be far fetched. This is why I suggested john install both in the /opt directory to make an independent comparison.

                   I am not just saying what I am without merit. If I had not experienced it first hand I would not be posting this. So maybe I went over the line. However, the odd-part is not that I did install it into /usr/lib but that afterward it made the gecko dependent software functional. Moreover, what seems odd is that when I originally tried FIrefox 3.0a2 in the /opt directory it produced the same exact crash as the ubuntu version, the 2.01 install did not.

                      I am just quoting my experience. If all this is just coincidental and none of it makes sense then fine. But if there is one clue here as to what may be going on then it deserves more attention.

                       Again I am not telling everyone under the sun to go and install firefox upstream to /usr/lib. I am simply opening up the possibility and only to those whom feel comfortable doing it after confirming whether it works or not in the /opt directory.

By the way I should also mention the the Ubuntu version of Firefox runs mozilla updates as well as being updated by Ubuntu.
So it's interesting that Upstream updates would screw with an
Ubuntu install where Upstream updates do not.

Alexander Sack (asac) wrote :

Tero,

can you please install firefox-dbg package and run firefox in debug mode for a while like this:

  # firefox -g
  ...
  (gdb) run
  ...
  -> then the crash
  (gdb) bt full
  <OUTPUT>

as soon as you can reproduce this bug in debug mode, please
post the <OUTPUT> here.

Thanks,

Alexander

David Farning (dfarning) on 2007-02-24
Changed in firefox:
assignee: mozillateam → mozilla-bugs
John Vivirito (gnomefreak) wrote :

Taking for retrace lets see what i can pull out of crash report.

Changed in firefox:
assignee: mozilla-bugs → gnomefreak
John Vivirito (gnomefreak) wrote :

Can you please follow the instructions that Alexander gave https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/60236/comments/17. The stacvktrace i am getting is not helpful at all.

Changed in firefox:
assignee: gnomefreak → mozilla-bugs

Hi. I have same bug in my Feisty.
backtrace output in attachment.

Walter (barterpc) wrote :

This seems to go back to my original comment that possibly some experimental code was released into the Ubuntu dist of Firefox. While this would be expected with Feisty given it's experimental nature right now.

"It won't become official till early April"

It shouldn't or rather installations in Edgy should not be exhibiting similiar behavior unless the error is common in the Firefox code itself (not related to the system it's built upon). Maybe I'll try to run a comparitive analysis on the dumps here when I get some free time.

John Vivirito (gnomefreak) wrote :

Tero, Gregory,

     Are either of you seeing this bug in the latest firefox in edgy? version 2.0.0.2+0dfsg-0ubuntu0.6.10

I've had this on Ubuntu Edgy (https://launchpad.net/bugs/78809) and Debian 3.1.

Reinstalling Firefox (sudo apt-get install firefox firefox-gnome-support --reinstall) usually clears the problem faster than rebooting, though it doesn't always work.

Alexander: I reinstalled that machine (Dapper->Feisty) and I have not seen the bug anymore. Not suprising, because Feisty ships with Firefox 2. Also, I changed hardware configurations.

John Vivirito: I don't have permanent installations of Edgy and don't know if the bug exists in that. Seems to work in Feisty, no bug there.

Even though I have not (yet) seen the bug in Feisty, I hope it gets fixed in Dapper 6.06 Long Term Support version, as LTS should still be supported.

Thanks for your help with the bug.

Reto Koenig (reto-koenig-gmx) wrote :

Hei folks,
Thanks to this Bug-Report So I was able to identify the stated symptomes to the problem I was just facing!

AMD-64
4GIB RAM
11GIB free Disk (for /home and /tmp)
edgy all updated
Beryl working
Seg-faulted after trying to open a second firefox-window...
(first one was streaming music)

NO chance to restart firefox (permanent seg-faults)

Working again after following Rebecca's explanations.

Thanks for all the bug-reporters and problem solvers!!!

Ramin Nakisa (ramin-nakisa) wrote :

I get exactly the same problem in a fresh and fully updated version of feisty. Will reinstall firefox as Rebecca suggested. Perhaps this should be in the wiki? This is affecting other apps too, such as kontact.

I get this problem too, on Feisty Kubuntu with AMD64 and nVidia X driver. I have a feeling it is related to that.

However I have found a workaround that works every time and that suggests to me it is something in the environment. When this starts happening I get "Segmentation fault (core dumped)" whenever I try to start Firefox from the shell, and it also won't start from the menu. However, if I ssh to localhost, and then start it from the shell there it works fine!

th@shuttle:~$ firefox
Segmentation fault (core dumped)
th@shuttle:~$ ssh localhost DISPLAY=:0 firefox
<firefox pops up!>

So I am sorted for now, but this is annoying. Short of using this trick, only restarting the X server or rebooting fixes the problem. Firefox is a pretty essential app so I hope this gets fixed soon. Let me know if I can help.

Nick Taylor (kcin) wrote :

It's happening to me too with Kubuntu 7.04 (Feisty) 32-bit on an Intel Core 2 Duo, with the nVidia X driver.
I've found running "aptitude reinstall firefox" fixes it most of the time, and it often breaks right after installing new software, so I'm thinking it's a library conflict somewhere.

I'm going to try installing firefox outside of apt as Walter suggested to see if that helps.

Ashraf Amayreh (mistknight) wrote :

While trying to create a trace of this problem with firefox -g, I encountered another bug where firefox just hangs and stops responding. I don't know how related these are but I would guess they may be related, I'm using kubuntu feisty that is fully updated. I'll try to get another stack trace of the problem where firefox window closes with a segfault (the one below is firefox hanging), I've encountered the firefox close problem but I'm waiting for it to go off again so I can give you a back trace.

#0 0xb7403beb in XRenderFindDisplay () from /usr/lib/libXrender.so.1
No symbol table info available.
#1 0xb7402975 in XRenderSetPictureClipRectangles ()
   from /usr/lib/libXrender.so.1
No symbol table info available.
#2 0xb5e27209 in ?? () from /usr/lib/libXft.so.2
No symbol table info available.
#3 0xb5e3129c in ?? ()
No symbol table info available.
#4 0xb7779120 in ?? () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#5 0xb4c78061 in ?? () from /usr/lib/firefox/components/libgfx_gtk.so
No symbol table info available.
#6 0xb78a22a0 in _XAllocID () from /usr/lib/libX11.so.6
No symbol table info available.
#7 0xb5e2e375 in ?? () from /usr/lib/libXft.so.2
No symbol table info available.
#8 0xb76a460e in malloc () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#9 0xb5e29eca in XftDrawCreate () from /usr/lib/libXft.so.2
No symbol table info available.
#10 0xb60e9995 in QPixmap::init () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#11 0xb61b4a91 in QPixmap::QPixmap () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#12 0xb6684a61 in drawToolbar ()
   from /usr/lib/gtk-2.0/2.10.0/engines/libqtengine.so
No symbol table info available.
#13 0xb669445f in ?? () from /usr/lib/gtk-2.0/2.10.0/engines/libqtengine.so
No symbol table info available.
#14 0x0b0da598 in ?? ()
No symbol table info available.
#15 0x081a7208 in ?? ()
No symbol table info available.
#16 0x00000000 in ?? ()
No symbol table info available.

Alexander Sack (asac) wrote :

On Fri, Jul 06, 2007 at 11:53:38PM -0000, Ashraf Amayreh wrote:
> While trying to create a trace of this problem with firefox -g, I
> encountered another bug where firefox just hangs and stops responding. I
> don't know how related these are but I would guess they may be related,
> I'm using kubuntu feisty that is fully updated. I'll try to get another
> stack trace of the problem where firefox window closes with a segfault
> (the one below is firefox hanging), I've encountered the firefox close
> problem but I'm waiting for it to go off again so I can give you a back
> trace.

gtk qtengine is known to cause problems ... use some other gtk theme and
you should be cured.

 - Alexander

Ashraf Amayreh (mistknight) wrote :

I installed clearlooks engine. One thing, however, is really odd. I started firefox and surely enough, clearlooks was working. After some time I got that segfault that caused firefox to close. Now I ran firefox in debug mode hoping I could generate a backtrace. I could almost swear this crash doesn't occur in debug mode. I mean it's been at least tripple the time it took when it crashed and still no sign of any crash. And I'm pounding firefox as usual. Strange. I'll give it more time and see what happens.

Now this may sound unlikely, but could it be that the firefox package was compiled from a non-stable source while the firefox-dbg library contains the stable source code? If I don't get that crash for much longer then this is the only likely possibility that comes to mind. By the way, my friend is using ubuntu feisty and he's getting the crash as well, so there's more to it than the gtk2 engine. I just feel the firefox package was not compiled with the same source code in firefox-dbg

Ashraf Amayreh (mistknight) wrote :
Download full text (4.9 KiB)

And then again, maybe I just had to wait more :) Here's the crash backtrace

#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7e1f628 in send () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb7e4e6c3 in pt_Send (fd=0x9c784e8, buf=0xb40803e8, amount=4096, flags=0,
    timeout=4294967295) at ptio.c:1902
        syserrno = <value optimized out>
        bytes = -1
        fNeedContinue = <value optimized out>
#3 0xb7e4e7df in pt_SocketWrite (fd=0x9c784e8, buf=0xb40803e8, amount=4096)
    at ptio.c:1967
No locals.
#4 0xb7e3508f in PR_Write (fd=0x9c784e8, buf=0xb40803e8, amount=4096)
    at priometh.c:146
No locals.
#5 0xb71a3217 in nsSocketOutputStream::Write (this=0xb4daf98,
    buf=0xb40803e8 "=redacted&\n\n8-JUL 09:06:55 PM Poll finished, sent request\n\n8-JUL 09:06:57 PM XMLHTTP RESP (77410) [ attempt 1]: POST\nhttp://mail.google.com/mail/channel/bind?at=1347b14a603d26b4-113a6a2b631&VER=2&SI"...,
    count=4096, countWritten=0xb70b9204) at nsSocketTransport2.cpp:550
        fd = (PRFileDesc *) 0x9c784e8
        n = <value optimized out>
        rv = <value optimized out>
#6 0xb71f0062 in nsHttpConnection::OnReadSegment (this=0xae38800,
    buf=0xb40803e8 "=redacted&\n\n8-JUL 09:06:55 PM Poll finished, sent request\n\n8-JUL 09:06:57 PM XMLHTTP RESP (77410) [ attempt 1]: POST\nhttp://mail.google.com/mail/channel/bind?at=1347b14a603d26b4-113a6a2b631&VER=2&SI"...,
    count=4096, countRead=0xb70b9204) at nsHttpConnection.cpp:524
        rv = <value optimized out>
#7 0xb71fa349 in nsHttpTransaction::ReadRequestSegment (stream=0xae8e5530,
    closure=0xae8e4be0,
    buf=0xb40803e8 "=redacted&\n\n8-JUL 09:06:55 PM Poll finished, sent request\n\n8-JUL 09:06:57 PM XMLHTTP RESP (77410) [ attempt 1]: POST\nhttp://mail.google.com/mail/channel/bind?at=1347b14a603d26b4-113a6a2b631&VER=2&SI"...,
    offset=0, count=4096, countRead=0xb70b9204) at nsHttpTransaction.cpp:405
        rv = <value optimized out>
#8 0xb7ec2ae8 in nsMultiplexInputStream::ReadSegCb (aIn=0xae8e16d0,
    aClosure=0xb70b91e0,
    aFromRawSegment=0xb40803e8 "=redacted&\n\n8-JUL 09:06:55 PM Poll finished, sent request\n\n8-JUL 09:06:57 PM XMLHTTP RESP (77410) [ attempt 1]: POST\nhttp://mail.google.com/mail/channel/bind?at=1347b14a603d26b4-113a6a2b631&VER=2&SI"..., aToOffset=0, aCount=4096, aWriteCount=0xb70b9204)
    at nsMultiplexInputStream.cpp:288
        rv = <value optimized out>
#9 0xb7ec8ed9 in nsStringInputStream::ReadSegments (this=0xae8e16d0,
    writer=0xb7ec2ab0 <nsMultiplexInputStream::ReadSegCb(nsIInputStream*, void*,
 char const*, unsigned int, unsigned int, unsigned int*)>, closure=0xb70b91e0,
    aCount=3070988320, result=0xb70b9204) at nsStringStream.cpp:240
        rv = <value optimized out>
        maxCount = <value optimized out>
#10 0xb7ec3618 in nsMultiplexInputStream::ReadSegments (this=0xae8e5530,
    aWriter=0xb71fa320 <nsHttpTransaction::ReadRequestSegment(nsIInputStream*, void*, char const*, unsigned int, unsigned int, unsigned int*)>,
    aClosure=0xae8e4be0, aCount=4096, _retval=0xb70b9288)
    at nsMultiplexInputStream.cpp:245
        stream = {<nsCOMPtr_base> = {mRawPtr = 0xae8e16d0}...

Read more...

teg350z (teg350z) wrote :

I've fixed and solve the firefox segmentation fault by removing SCIM package:

$ sudo aptitude remove scim
$ firefox

However, it may show the following minor error, but at least my firefox is UP AND RUNNING:

XGetSelectionOwner: old version of gcin or gcin is not running ??
... try to start a new gcin server /usr/bin/gcin
gcin get env LC_CTYPE=(null) LC_ALL=(null) LANG=en_US.UTF-8
gcin XIM will use en_US.UTF-8 as the default encoding
load_gtab_list /usr/share/gcin/table/gtab.list
gcin:IMOpenIM 'SCIM' failed. Maybe another XIM server is running.

Anyway, I hope everyone love firefox !

Alexander Sack (asac) wrote :

On Sun, Jul 29, 2007 at 10:50:15PM -0000, teg350z wrote:
> I've fixed and solve the firefox segmentation fault by removing SCIM
> package:
>
> $ sudo aptitude remove scim
> $ firefox
>
> However, it may show the following minor error, but at least my firefox
> is UP AND RUNNING:
>
> XGetSelectionOwner: old version of gcin or gcin is not running ??
> ... try to start a new gcin server /usr/bin/gcin
> gcin get env LC_CTYPE=(null) LC_ALL=(null) LANG=en_US.UTF-8
> gcin XIM will use en_US.UTF-8 as the default encoding
> load_gtab_list /usr/share/gcin/table/gtab.list
> gcin:IMOpenIM 'SCIM' failed. Maybe another XIM server is running.
>
> Anyway, I hope everyone love firefox !
>

... so just installing scim is enough to cause this crash?

 - Alexander

2Logic (twologic) wrote :

My Firefox (and Thunderbird) also randomly crashes.

I've been able to get the full backtrace of on of these segfaults (attached). This one occured while I let FF run overnight (I wasn't using it). When I unlocked my station this morning, FF had crashed. I seems to have crashed on a during a mouse event, so it may have crashed at exactly the same moment I unlocked the station...

About my setup:
2.6.20-16-generic #2 SMP Thu Jun 7 19:00:28 UTC 2007 x86_64 GNU/Linux
8 Gb RAM
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.6) Gecko/20061201 Firefox/2.0.0.6 (Ubuntu-feisty)

- Uninstalling SCIM: no change
- NOT running beryl
- Using Gnome

Peter M (peter-matthijs) wrote :

This bug came, then it disappeard, and since a few weeks its back on my AMD64 32-bit feisty box.
It seems to get worse after installing packages.

Did the following:
1) reinstalled firefox: sudo aptitude reinstall firefox
2) removed SCIM: sudo aptitude remove scim
3) reboot

Problem solved.

2Logic (twologic) wrote :

Update on my problem: it was due to faulty RAM. I realized that Firefox was not the only app crashing for no reason. Running memtest86 confirmed the problem. Problem was solved by replacing the RAM...

I can't reproduce this bug anymore.

The machine nor the software configuration used in testing are no longer in my use. My new systems don't currently seem to show this bug, but they have newer versions of software too. I'm the original reporter of this bug. As far as I am concerned, this bug can be closed, I'll reopen it if I can reproduce the bug.

Thanks for everyone helping with the issue.

John Vivirito (gnomefreak) wrote :

If anyone still sees this issue please file a new bug report with the info you have. closing due to the original reporter no longer sees it and from what i see they all are not the same bug.

Changed in firefox:
status: Incomplete → Invalid
Hiz (hi779) wrote :

from my experience i have same problem WHEN:

my SCIM are 2 bite character input mode. then send somewhere comment to web page, Firefox suddenly crush and doesnt restart again unless SCIM back to 1 bite character input mode.

Truefire (robkam643400-aim) wrote :

I still do - it may be AMD Athlon XP CPU's.
Didn't have any trouble till I updated 8.10 (Ibex).

Truefire (robkam643400-aim) wrote :

BTW, it's also happening in Epiphany - probably a shared library?

Volker S. (volker-schellberg) wrote :

It also happens on Ubuntu 9.04 (jaunty jackalope) - FF 3 / 3.5.3

strace:

...
[pid 10202] 22:15:37.430885 close(51) = 0
[pid 10202] 22:15:37.432163 --- SIGSEGV (Segmentation fault) @ 0 (0) ---
[pid 10202] 22:15:37.432326 unlink("/home/volker/.mozilla/firefox/7hpruwum.default/lock") = 0
[pid 10202] 22:15:37.432534 rt_sigaction(SIGSEGV, {SIG_DFL}, NULL, 8) = 0
[pid 10202] 22:15:37.432587 rt_sigprocmask(SIG_UNBLOCK, [SEGV], NULL, 8) = 0
[pid 10202] 22:15:37.432632 tgkill(10202, 10202, SIGSEGV) = 0
[pid 10202] 22:15:37.432664 --- SIGSEGV (Segmentation fault) @ 0 (0) ---
[pid 10211] 22:15:37.449549 +++ killed by SIGSEGV +++
[pid 10209] 22:15:37.449604 +++ killed by SIGSEGV +++
[pid 10205] 22:15:37.449619 +++ killed by SIGSEGV +++
[pid 10204] 22:15:37.449636 +++ killed by SIGSEGV +++

kuntergunt (kuntergunt) wrote :

I have the Segmentation fault problem out of a sudden for 1 hour now. The notebook was running firefox now for two years with no problems. I have no Updates installed today. I have lot of memory in my notebook (2 GB). All other apps are running with no problems, but firefox crashes after a short time (not immediately). A reboot did not help. I am running Ubuntu 9.10.

kuntergunt (kuntergunt) wrote :

Update:
What I did yesterday:
I reistalled firefox and firefox-gnome-support
I unstalled scim
I started firefox in safe mode (firefox -safe-mode) with all addd-ons disabled.
Firefox still aborted with segmentation fault afetr some, maybe 5, minutes.

Today I got a couple of Ubuntu updates:
After installing the updates, no firefox crash.
After enabling all the add-on and plugins, still no crash now for hours.

FF seems ok now.

On 01/28/10 06:01, kuntergunt wrote:
> Update:
> What I did yesterday:
> I reistalled firefox and firefox-gnome-support
> I unstalled scim
> I started firefox in safe mode (firefox -safe-mode) with all addd-ons disabled.
> Firefox still aborted with segmentation fault afetr some, maybe 5, minutes.
>
> Today I got a couple of Ubuntu updates:
> After installing the updates, no firefox crash.
> After enabling all the add-on and plugins, still no crash now for hours.
>
> FF seems ok now.
>
Thanks for the update. Closing due to last comment.

 status fixreleased

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Changed in firefox (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers